{% extends 'base.html.twig' %}

{% block title %}Importat des propriétaires{% endblock %}

{% block body %}
<h2 class="text-center">Import des propriétaires</h2>
  <div>
    {{ form_start(form) }}
      {{ form_widget(form) }}
    {{ form_end(form) }}
  </div>


  <div class="d-{{ status }}">
    <div class="table-responsive">
      <table class="listingImport table-striped  m-auto">
        <thead class="thead">
          <tr class="border">
            <th class="text-center indiceImport"> </th>
            <th class="text-center">Bâtiment</th>
            <th class="text-center">Lot</th>
            <th class="text-center">Genre</th>
            <th class="text-center">Nom</th>
            <th class="text-center">Prénom</th>
            <th class="text-center">Entreprise</th>
            <th class="text-center">Adresse 1</th>
            <th class="text-center">Adresse 2</th>
            <th class="text-center">Code postal</th>
            <th class="text-center">Ville</th>
            <th class="text-center">Pays</th>
            <th class="text-center">Tél 1</th>
            <th class="text-center">Tél 2</th>
            <th class="text-center">Tantième appartement</th>
            <th class="text-center">Tantième chauffage</th>
          </tr>
        </thead>

        <tbody>
          {% for data in datas %}
            <tr class="border">
              <td class="text-center listingImportOne" id="index-{{ loop.index }}">{{ loop.index }}</td>
              <td class="text-center listingImportTwo" id="A{{ loop.index }}">{{ data.building }}</td>
              <td class="text-center listingImportTwo" id="B{{ loop.index }}">{{ data.lot }}</td>
              <td class="text-center listingImportTwo" id="C{{ loop.index }}">{{ data.gender }}</td>
              <td class="text-center listingImportTwo" id="D{{ loop.index }}">{{ data.lastname }}</td>
              <td class="text-center listingImportTwo" id="E{{ loop.index }}">{{ data.firstname }}</td>
              <td class="text-center listingImportTwo" id="F{{ loop.index }}">{{ data.company }}</td>
              <td class="text-center listingImportTwo" id="G{{ loop.index }}">{{ data.address1 }}</td>
              <td class="text-center listingImportTwo" id="H{{ loop.index }}">{{ data.address2 }}</td>
              <td class="text-center listingImportTwo" id="I{{ loop.index }}">{{ data.postalCode }}</td>
              <td class="text-center listingImportTwo" id="J{{ loop.index }}">{{ data.city }}</td>
              <td class="text-center listingImportTwo" id="K{{ loop.index }}">{{ data.country }}</td>
              <td class="text-center listingImportTwo" id="L{{ loop.index }}">{{ data.phone1 }}</td>
              <td class="text-center listingImportTwo" id="M{{ loop.index }}">{{ data.phone2 }}</td>
              <td class="text-center listingImportTwo" id="N{{ loop.index }}">{{ data.tantiemesApartment }}</td>
              <td class="text-center listingImportTwo" id="T{{ loop.index }}">{{ data.tantiemesHeating }}</td>
            </tr>
          {% endfor %}
        </tbody>
      </table>
    </div>

    {% if errors is not empty %}
      <div class="panel-group">
        <div class="panel panel-default">
          <div class="panel-heading">
            <h4 class="panel-title">
              <button class="btn btn-outline-danger buttonBottom" data-toggle="collapse" data-target="#collapse-errors" role="button">Erreurs {{ errors|length }}</button>
            </h4>
          </div>
          <div class="panel-collapse collapse" id="collapse-errors">
            <ul class="list-group">
              {% for error in errors %}
                <li class="list-group-item">{{ error }}</li>
              {% endfor %}
            </ul>
          </div>
        </div>
      </div>
    {% else %}
      <a class="btn btn-outline-success buttonBottom" href="{{ path('coOwnership_view', {'id':coOwnership.id}) }}">Valider</a>
    {% endif %}
  </div>

{% endblock %}


{% block javascripts %}

  <script>

   /*let inputFile = document.getElementById('upload_file');
   inputFile.addEventListener('')*/

    $(document).on('change', '.custom-file-input', function () {
      let fileName = $(this).val().replace(/\\/g, '/').replace(/.*\//, '');
      $(this).parent('.custom-file').find('.custom-file-label').text(fileName);
    });


  </script>

{% endblock %}
